Subject: 2120 Holiday- Price Drop?
From: Margaret Oliver <[email-masked]>
To: [email-masked]
Date: Tue, 14 May 2013 21:46:40 -0400

Hi Mike

I think a price drop is a good idea at this point. Still getting activity
but it is slowing down.  What do you think?  I would recommend going
127900-129900.  It is better to get offers with less room to negotiate then
to not get any at all.  The more you drop the more attention it will get.
It is up to you!  Just let me know and I will send the form over.

Thank You,

*Maggie Oliver*
*
One Source Realty*
6920 S. Cedar St., Ste. 8A
Lansing, MI 48911
E-Mail: [email-masked]
Cell: (517)930-2639